=== debian/changelog ===
pdns-recursor (3.2-4) unstable; urgency=high

  * Upgrading from a previous version fails when the pdns-recursor isn't
    started, this is RC bug hence urgency high. (Closes: #565415)
  * Fix watch file
  * Fix FTBFS on hurd again.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Tue, 20 Jul 2010 13:42:45 +0200

pdns-recursor (3.2-3) unstable; urgency=low

  * Add watch file
  * Switch to dpkg-source 3.0 (quilt) format
  * Fix FTBFS on hurd
  * Update logcheck rules. (Closes: #588135)
  * Update Standards-Version to 3.9.0
  * Use dh_installinit instead of the pdns-recursor.install file.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Mon, 19 Jul 2010 14:39:02 +0200

pdns-recursor (3.2-2) unstable; urgency=low

  * Remove Christoph Haas from Uploaders. Thanks for the great work!
  * Add fix for FTBFS thanks to Petr Salinger <Petr.Salinger@seznam.cz>
    (Closes: #575006)
  * Make pdns-recursor on startup less chatty (Closes: #438469)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sat, 03 Apr 2010 13:46:23 +0200

pdns-recursor (3.2-1) unstable; urgency=low

  * New upstream version.
  * Update Standards-Version to 3.8.4
  * Fix boot order, thanks to Petter Reinholdtsen (Closes: #566877)
  * All architectures enabled, needs testing (Closes: #489925)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Wed, 17 Mar 2010 10:59:28 +0100

pdns-recursor (3.1.7.2-1) unstable; urgency=high

  * New upstream version. (CVE-2009-4009 and CVE-2009-4010) (Closes: #564145)
  * Make lintian happy.
  * Now really add sh4 to the architecture list. (Closes: #551153)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Fri, 08 Jan 2010 18:14:44 +0100

pdns-recursor (3.1.7.1-4) unstable; urgency=low

  * Add mips, mipsel and sh4 to the supported list of architectures, only arm,
    armel and armeb are missing. See #369453 (Closes: #551153)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Fri, 06 Nov 2009 18:09:29 +0100

pdns-recursor (3.1.7.1-3) unstable; urgency=low

  * Update incorrect dependencies in the init.d script. (Closes: #547033)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 11 Oct 2009 18:46:58 +0200

pdns-recursor (3.1.7.1-2) unstable; urgency=low

  * Fixing FTBFS on several archs (Closes: #540867, #541689)
  * Added hppa and sparc architectures. See #489925, leaving open because of
    more unsupported architectures.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 16 Aug 2009 15:39:54 +0200

pdns-recursor (3.1.7.1-1) unstable; urgency=low

  * New upstream release (Closes: #497920)
  * Using new patch system quilt.
  * Updated Standards-Version to 3.8.2
  * Enable lua scripting support (Closes: #534893)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 09 Aug 2009 12:58:06 +0200

pdns-recursor (3.1.7-5) unstable; urgency=low

  * Fix FTBFS bug with GCC 4.4 (closes: #506003)
  * Make pdns-recursor available on hppa and sparc (closes: #489925)
    by adding libc6-dev in a recent version to debian/control

 -- Christoph Haas <haas@debian.org>  Wed, 13 May 2009 21:36:55 +0200

pdns-recursor (3.1.7-4) unstable; urgency=low

  * Fix FTBFS bug (closes: #528164)

 -- Christoph Haas <haas@debian.org>  Mon, 11 May 2009 22:24:44 +0200

pdns-recursor (3.1.7-3) unstable; urgency=low

  * Fixed repository URL (SVN->Git)
  * Increased policy version to 3.8.0 (lintian warning)
  * Added proper description for gcc-4.2-ftbfs-fix.dpatch dpatch
    (lintian warning)
  * Fixed PIDFILE setting in init.d script (thanks to Serge Belyshev)

 -- Christoph Haas <haas@debian.org>  Sun, 14 Sep 2008 22:48:59 +0200

pdns-recursor (3.1.7-2) unstable; urgency=low

  * Regard return code from stopping pdns in init.d script (Closes: #478593) 
  * Fixed init.d script's force-stop function.

 -- Christoph Haas <haas@debian.org>  Sun, 14 Sep 2008 17:36:42 +0200

pdns-recursor (3.1.7-1) unstable; urgency=low

  * New upstream version (Closes: #490069) (Closes: #477130)
  * init.d scripts gets socket-dir information from recursor.conf
    (Closes: #471568)
  * Added config file directives
  * Set dont-query to nothing so it won't break pre-3.1.7 configs. (Closes: #476841)

 -- Christoph Haas <haas@debian.org>  Mon, 31 Mar 2008 21:51:59 +0200

pdns-recursor (3.1.4-6) unstable; urgency=low

  * Standards-Version 3.7.3.0
  * Remove pdns_hw too on cleanup.
  * Fix for truncating long TXT queries (Closes: #462114)
  * Don't ignore build errors (Closes: #462128)
  * Build option noopt was inoperative (Closes: #462126)
  * Added gcc 4.3 fixes from upstream (Closes: #455631)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Wed, 13 Feb 2008 22:49:08 +0100

pdns-recursor (3.1.4-5) unstable; urgency=low

  * daemon=no is now working if used in /etc/powerdns/recursor.conf
    (Closes: #440020)
  * patch added to reflect change of L root server (Closes: #449483)
  * Makefile patched to prevent stripping of binaries (Closes: #437765)

 -- Christoph Haas <haas@debian.org>  Fri, 09 Nov 2007 21:57:58 +0100

pdns-recursor (3.1.4-4) unstable; urgency=low

  * Update to debhelper 5.
  * Fix lintian warning: debian-rules-sets-DH_COMPAT.
  * Restore the changelog, it was partly removed by accident. (Closes: #421393)
  * Fix FTBFS with gcc-4.2 (Closes: #387113)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 03 Jun 2007 15:11:22 +0200

pdns-recursor (3.1.4-3) unstable; urgency=low

  * Stop/stop script does not return an error code when being called as
    'stop' when the service is actually not running. (Closes: #406428)

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Wed, 21 Feb 2007 23:10:00 +0200

pdns-recursor (3.1.4-2) unstable; urgency=medium

  * Run pdns-recursor by default as non-privileged user. (Closes: #399669)
  * swapcontext is supported by kfreebsd (Fixes a FTBFS) (Closes: #403746)
  * Added lsb-base to the dependencies. (Closes: #402732)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Mon, 25 Dec 2006 14:00:10 +0100

pdns-recursor (3.1.4-1) unstable; urgency=medium

  * New upstream release.


