=== debian/control ===
Source: pdns-recursor
Section: net
Priority: extra
Standards-Version: 3.9.0
Maintainer: Matthijs Mohlmann <matthijs@cacholong.nl>
Build-Depends: debhelper (>= 5.0.0), quilt, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, liblua5.1-0-dev
Vcs-Git: git://github.com/Signum/debian-pdns-recursor.git

Package: pdns-recursor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), adduser
Replaces: pdns
Recommends: pdns-doc
Description: PowerDNS recursor
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This is the recursive nameserver that goes out to the internet and
 resolve queries about other domains.
