=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pdns-recursor
 Section: net
 Priority: extra
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Maintainer: Matthijs Mohlmann <matthijs@cacholong.nl>
 Build-Depends: debhelper (>= 5.0.0), quilt, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, liblua5.1-0-dev
 Vcs-Git: git://github.com/Signum/debian-pdns-recursor.git
@@ -20,3 +20,15 @@
  This is the recursive nameserver that goes out to the internet and
  resolve queries about other domains.
 
+Package: pdns-recursor-dbg
+Section: debug
+Architecture: any
+Depends: pdns-recursor (= ${binary:Version}), ${misc:Depends}
+Description: debugging symbols for PowerDNS recursor
+ PowerDNS is a versatile nameserver which supports a large number
+ of different backends ranging from simple zonefiles to relational
+ databases and load balancing/failover algorithms.
+ PowerDNS tries to emphasize speed and security.
+ .
+ This package contains debugging symbols for PowerDNS to assist in
+ debugging, such as with gdb. It is not required for normal operation.
