=== debian/changelog ===
pdns-recursor (3.5.3-1ubuntu0.1) trusty-security; urgency=high

  * SECURITY UPDATE:
  * References
  * CVE-2014-8601: PowerDNS Recursor before 3.6.2 does not limit delegation
    chaining, which allows remote attackers to cause a denial of service
    ("performance degradations") via a large or infinite number of referrals,
    as demonstrated by resolving domains hosted by ezdns.it.
    - Added debian/patches/CVE-2014-8601.patch
  * CVE-2015-1868: The label decompression functionality in PowerDNS Recursor
    3.5.x, 3.6.x before 3.6.3, and 3.7.x before 3.7.2 and Authoritative (Auth)
    Server 3.2.x, 3.3.x before 3.3.2, and 3.4.x before 3.4.4 allows remote
    attackers to cause a denial of service (CPU consumption or crash) via a
    request with a name that refers to itself.
    - Added debian/patches/CVE-2015-1868.patch
  * CVE-2015-5470: The label decompression functionality in PowerDNS Recursor
    before 3.6.4 and 3.7.x before 3.7.3 and Authoritative (Auth) Server before
    3.3.3 and 3.4.x before 3.4.5 allows remote attackers to cause a denial of
    service (CPU consumption or crash) via a request with a long name that
    refers to itself. NOTE: this vulnerability exists because of an incomplete
    fix for CVE-2015-1868.
    - Added debian/patches/CVE-2015-1868-2.patch
  * CVE-2016-7068: Florian Heinz and Martin Kluge reported that pdns-recursor
    parses all records present in a query regardless of whether they are
    needed or even legitimate, allowing a remote, unauthenticated attacker to
    cause an abnormal CPU usage load on the pdns server, resulting in a
    partial denial of service if the system becomes overloaded.
    - Added debian/patches/CVE-2016-7068.patch
  * Add debian/patches/qtypes.patch so qtypes required for CVE-2016-7068.patch
    are available

 -- Scott Kitterman <scott@kitterman.com>  Fri, 13 Jan 2017 15:20:50 -0500

pdns-recursor (3.5.3-1) unstable; urgency=low

  * New upstream version

 -- Matthijs Möhlmann <matthijs@cacholong.nl>  Sun, 22 Sep 2013 14:45:58 +0200

pdns-recursor (3.5.2-2) unstable; urgency=low

  * Enable on all architectures (Closes: #579194)

 -- Matthijs Möhlmann <matthijs@cacholong.nl>  Sat, 24 Aug 2013 16:13:37 +0200

pdns-recursor (3.5.2-1) unstable; urgency=low

  * New upstream version (Closes: #710048, #682851, #671592, #697355, #649724)
    - Refresh patches
  * Improve the patch to make pdns-recursor less chatty
  * Standards-Version: 3.9.4 (no changes necessary)
  * Remove pdns_hw on cleanup (Closes: #652833)

 -- Matthijs Möhlmann <matthijs@cacholong.nl>  Tue, 06 Aug 2013 21:43:01 +0200

pdns-recursor (3.3-3) unstable; urgency=low

  * new maintainer team
  * new Vcs links
  * add Homepage
  * debhelper 9 (enable hardening) (Closes: 656859)
  * prepare new version
  * set unapply-patches
  * set Architecture to "all but arm{el,hf}" (Closes: 661959)
  * Standards-Version: 3.9.3 (no changes necessary)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 18 Jun 2012 14:45:50 +0000

pdns-recursor (3.3-2) unstable; urgency=low

  * Fix my name in the init script and debian/control too.
  * Update Standards-Version to 3.9.2
  * Use new build system dh instead of individual dh_* commands.

 -- Matthijs Möhlmann <matthijs@cacholong.nl>  Mon, 08 Aug 2011 11:56:58 +0200
