=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: pdns-recursor
 Section: net
 Priority: extra
-Standards-Version: 3.9.1
-Maintainer: Matthijs Mohlmann <matthijs@cacholong.nl>
-Build-Depends: debhelper (>= 5.0.0), quilt, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, liblua5.1-0-dev
-Vcs-Git: git://github.com/Signum/debian-pdns-recursor.git
+Standards-Version: 3.9.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
+Uploaders: Matthijs Möhlmann <matthijs@cacholong.nl>, Marc Haber <mh+debian-packages@zugschlus.de>
+Build-Depends: debhelper (>= 9~), quilt, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, liblua5.1-0-dev
+Vcs-Git: git://git.debian.org/pkg-pdns/pdns-recursor.git
+Vcs-Browser: http://git.debian.org/?p=pkg-pdns/pdns-recursor.git
+Homepage: http://www.powerdns.com/
 
 Package: pdns-recursor
 Architecture: any
