=== debian/rules ===
#!/usr/bin/make -f

# Enable lua
export LUA := 1

# Use new build system
%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --dbg-package=pdns-recursor-dbg

override_dh_installinit:
	dh_installinit --error-handler=initscript_error -- defaults 19 85
