=== debian/changelog ===
pdns-recursor (3.6.1-2) unstable; urgency=medium

  * Drop patch 'pdns-recursor-less-chatty'
  * Ship native systemd unit file
  * Enable extra hardening flags (PIE, bindnow)
  * Add smoke test, testing example.org resolution

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 13 Sep 2014 19:21:43 +0200

pdns-recursor (3.6.1-1) unstable; urgency=high

  * Imported Upstream version 3.6.1
    Fixes security issue: CVE-2014-3614

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 09 Sep 2014 22:55:49 +0200

pdns-recursor (3.6.0-2) unstable; urgency=medium

  [ Christian Hofstaedtler ]
  * Update debian/copyright file
  * Remove boilerplate from debian/watch
  * Update init script options:
    Removed X-Start-After and X-Stop-Before, which were sent to irrelevant
    services, and updated Description fields.
  * Add status target to init script.
    Thanks to Iain Georgeson <debian@iain.georgeson.me.uk> (Closes: #730684)

  [ SATOH Fumiyasu ]
  * Enable resolvconf hooks only when $RESOLVCONF is set to 'yes'
    (Closes: #722659)

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 24 Jun 2014 13:27:38 +0200

pdns-recursor (3.6.0-1) unstable; urgency=medium

  * Imported Upstream version 3.6.0
  * Drop upstream applied patches 1443, 1444, 1445

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 20 Jun 2014 12:34:10 +0200

pdns-recursor (3.6.0~rc1-2) unstable; urgency=medium

  * Switch to Lua 5.2

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 09 Jun 2014 20:12:24 +0200

pdns-recursor (3.6.0~rc1-1) unstable; urgency=medium

  * Imported Upstream version 3.6.0~rc1
  * Replace local patches with upstream PRs
    do-not-strip-binaries, hurd-ftbfs-patch, kfreebsd-ftbfs-patch and
    remove-pdns_hw-patch are now pending upstream approval and merge.
  * Add myself to Uploaders
  * Bump Standards-Version to 3.9.5

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 01 Jun 2014 17:39:35 +0200
