=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,19 @@
 
 # Enable lua
 export LUA := 1
+export LUA_CPPFLAGS_CONFIG := $(shell pkg-config lua5.2 --cflags)
+export LUA_LIBS_CONFIG := $(shell pkg-config lua5.2 --libs)
+
+# Enable hardening features for daemons
+# Note: blhc (build log hardening check) will find these false positivies: CPPFLAGS 2 missing, LDFLAGS 1 missing
+export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,+pie
 
 # Use new build system
 %:
-	dh $@ --parallel
+	dh $@ --with systemd --parallel
+
+override_dh_auto_install:
+	dh_auto_install -- STRIP_BINARIES=0
 
 override_dh_strip:
 	dh_strip --dbg-package=pdns-recursor-dbg
