=== debian/changelog ===
pdns-recursor (3.6.2-2+deb8u2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports (including the second security fix for
    CVE-2015-1868).

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 26 May 2016 20:17:40 +0000

pdns-recursor (3.6.2-2+deb8u2) jessie-security; urgency=high

  * Security update: apply second patch for CVE-2015-1868

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 08 Jul 2015 12:00:07 +0200

pdns-recursor (3.6.2-2+deb8u1~bpo70+1) wheezy-backports; urgency=high

  * Rebuild for wheezy-backports (including the security fix for
    CVE-2015-1868).

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 24 Apr 2015 12:48:54 +0200

pdns-recursor (3.6.2-2+deb8u1) jessie-security; urgency=high

  * Security update: apply patch for CVE-2015-1868

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 21 Apr 2015 19:18:46 +0200

pdns-recursor (3.6.2-2~bpo70+2) wheezy-backports; urgency=medium

  * Fix secpoll version.
  * Fix incorrect dpkg-dev dependency.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 24 Nov 2014 14:12:41 +0100

pdns-recursor (3.6.2-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Adapt for wheezy's dpkg-parsechangelog.
  * Remove systemd support because dh-systemd is unavailable.

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 22 Nov 2014 10:10:34 +0100

pdns-recursor (3.6.2-2) unstable; urgency=medium

  * Set package vendor for security status polling.
    Requires directly including buildflags.mk so d/rules can modify
    CXXFLAGS. (Closes: #767701)
  * d/control: Update Vcs-Git and Vcs-Browser
  * Fix "smoke" autopkgtest.
    The test definition was incorrectly copied from the pdns-server
    package.

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 15 Nov 2014 17:42:26 +0100

pdns-recursor (3.6.2-1) unstable; urgency=high

  * Imported Upstream version 3.6.2, a bugfix release (Closes: #767368)
  * Remove API key patch, which has been incorporated upstream.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 30 Oct 2014 17:22:19 +0100

pdns-recursor (3.6.1-3) unstable; urgency=medium

  * Apply API key patch from upstream
  * Bump Standards-Version to 3.9.6 (no further changes)

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 21 Oct 2014 21:31:43 +0200

pdns-recursor (3.6.1-1~bpo70+1) wheezy-backports; urgency=high

  * Rebuild for wheezy-backports.

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 09 Sep 2014 23:13:12 +0200

pdns-recursor (3.6.0-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 09 Jul 2014 15:46:52 +0200
