=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,17 @@
 # Enable hardening features for daemons
 # Note: blhc (build log hardening check) will find these false positivies: CPPFLAGS 2 missing, LDFLAGS 1 missing
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,+pie
+DPKG_EXPORT_BUILDFLAGS = 1
+# Include buildflags.mk so we can append to the vars it sets.
+include /usr/share/dpkg/buildflags.mk
+
+# Vendor and version (after buildflags.mk so we don't overwrite CXXFLAGS)
+version := $(shell dpkg-parsechangelog | awk -F': ' '/^Version/{ print $$2 }').$(shell dpkg-vendor --query Vendor)
+CXXFLAGS += -DPACKAGEVERSION='"$(version)"'
 
 # Use new build system
 %:
-	dh $@ --with systemd --parallel
+	dh $@ --parallel
 
 override_dh_auto_install:
 	dh_auto_install -- STRIP_BINARIES=0
