## pdns-recursor 3.7.3

=== debian/changelog ===
pdns-recursor (3.7.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 22 Jun 2015 22:47:41 +0200

pdns-recursor (3.7.3-1) unstable; urgency=medium

  * Imported Upstream version 3.7.3 (prevent short bursts of high
    resource usage with malformed qnames).

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 14 Jun 2015 21:18:28 +0200

pdns-recursor (3.7.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 30 Apr 2015 20:36:18 +0200

pdns-recursor (3.7.2-1) unstable; urgency=medium

  * Stop recommending long gone pdns-doc package
  * Imported Upstream version 3.7.2 (Fixes CVE-2015-1868)

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 21 Apr 2015 19:13:05 +0200

pdns-recursor (3.7.1-1) unstable; urgency=medium

  * Imported Upstream version 3.7.1

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 14 Apr 2015 22:30:54 +0200
