=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Standards-Version: 3.9.6
 Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
 Uploaders: Matthijs Möhlmann <matthijs@cacholong.nl>, Marc Haber <mh+debian-packages@zugschlus.de>, Christian Hofstaedtler <zeha@debian.org>
-Build-Depends: debhelper (>= 9~), quilt, dpkg-dev (>= 1.16.1~), libboost-dev, libboost-serialization-dev, liblua5.2-dev, pkg-config
+Build-Depends: debhelper (>= 9~), dh-systemd, quilt, dpkg-dev (>= 1.17.0~), libboost-dev, libboost-serialization-dev, liblua5.2-dev, pkg-config
 Vcs-Git: git://anonscm.debian.org/pkg-pdns/pdns-recursor.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pdns/pdns-recursor.git
 Homepage: http://www.powerdns.com/
@@ -13,7 +13,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), adduser
 Replaces: pdns
-Recommends: pdns-doc
 Description: PowerDNS recursor
  PowerDNS is a versatile nameserver which supports a large number
  of different backends ranging from simple zonefiles to relational
