=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,12 @@
 include /usr/share/dpkg/buildflags.mk
 
 # Vendor and version (after buildflags.mk so we don't overwrite CXXFLAGS)
-version := $(shell dpkg-parsechangelog | awk -F': ' '/^Version/{ print $$2 }').$(shell dpkg-vendor --query Vendor)
+version := $(shell dpkg-parsechangelog -SVersion).$(shell dpkg-vendor --query Vendor)
 CXXFLAGS += -DPACKAGEVERSION='"$(version)"'
 
 # Use new build system
 %:
-	dh $@ --parallel
+	dh $@ --with systemd --parallel
 
 override_dh_auto_install:
 	dh_auto_install -- STRIP_BINARIES=0
