## pdns-recursor 4.0.0~alpha2

=== debian/changelog ===
pdns-recursor (4.0.0~alpha2-2ubuntu0.1) xenial; urgency=medium

  * Apply patch from upstream to not fail on FORMERR response to EDNS.
    LP: #1646538

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 07 Dec 2016 14:46:14 +0100

pdns-recursor (4.0.0~alpha2-2) unstable; urgency=medium

  * Apply patch from upstream to fix build without
    boost::context, hopefully fixing missing builds on arm64, s390x.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 28 Mar 2016 12:15:09 +0000

pdns-recursor (4.0.0~alpha2-1) unstable; urgency=medium

  * New Upstream version 4.0.0~alpha2, with autotools build system.
    (Closes: #809091)
  * Disable DNSSEC processing for this release, per upstream recommendation.

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 09 Mar 2016 15:22:59 +0000

pdns-recursor (4.0.0~alpha1-3) unstable; urgency=medium

  * Update systemd unit file from upstream
  * Drop pdns-recursor-dbg in favor of automated dbgsym packages
  * Disable secpoll by default
  * Use root hints from dns-root-data package (Closes: #760470)
  * Drop Build-Depends: quilt, as we just rely on dpkg-source
  * Increase LimitNOFILE to a size suitable for default mthreads

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 25 Feb 2016 00:02:07 +0000

pdns-recursor (4.0.0~alpha1-2) unstable; urgency=medium

  * Manage daemon flag in init script, not in config file.
    For users that get this wrong in their recursor.conf.

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 26 Dec 2015 23:25:30 +0000

pdns-recursor (4.0.0~alpha1-1) unstable; urgency=medium

  * Imported Upstream version 4.0.0~alpha1
  * debian/watch: Add upstream signature check
  * Update debian/copyright
  * Generate recursor.conf during build
  * Install example files
  * Enable reproducible build

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 25 Dec 2015 17:47:26 +0000
