=== debian/control ===
Source: pdns-recursor
Section: net
Priority: extra
Standards-Version: 3.9.7
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
Uploaders: Matthijs Möhlmann <matthijs@cacholong.nl>,
           Marc Haber <mh+debian-packages@zugschlus.de>,
           Christian Hofstaedtler <zeha@debian.org>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               debhelper (>= 9~),
               dh-autoreconf,
               dh-systemd,
               dpkg-dev (>= 1.17.0~),
               libboost-all-dev,
               liblua5.2-dev,
               libssl-dev,
               pkg-config
Vcs-Git: git://anonscm.debian.org/pkg-pdns/pdns-recursor.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pdns/pdns-recursor.git
Homepage: http://www.powerdns.com/

Package: pdns-recursor
Architecture: any
Depends: adduser,
         dns-root-data,
         lsb-base (>= 3.0-6),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: pdns
Description: PowerDNS recursor
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This is the recursive nameserver that goes out to the internet and
 resolve queries about other domains.
