=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening features for daemons
# Note: blhc (build log hardening check) will find these false positivies: CPPFLAGS 2 missing, LDFLAGS 1 missing
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,+pie
DPKG_EXPORT_BUILDFLAGS = 1
# Include buildflags.mk so we can append to the vars it sets.
include /usr/share/dpkg/buildflags.mk

# Vendor and version (after buildflags.mk so we don't overwrite CXXFLAGS)
version := $(shell dpkg-parsechangelog -SVersion).$(shell dpkg-vendor --query Vendor)
CXXFLAGS += -DPACKAGEVERSION='"$(version)"'

# for atomic support on mips(el)
LDFLAGS += -latomic

# Use new build system
%:
	dh $@ \
		--with autoreconf \
		--with systemd \
		--parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		--sysconfdir=/etc/powerdns \
		--enable-reproducible \
		--with-lua

override_dh_auto_install:
	dh_auto_install
	rm -f debian/pdns-recursor/etc/powerdns/recursor.conf-dist
	./pdns_recursor --no-config --config | sed \
		-e 's!# config-dir=.*!config-dir=/etc/powerdns!' \
		-e 's!# local-address=.*!local-address=127.0.0.1!' \
		-e 's!# quiet=.*!quiet=yes!' \
		-e 's!# setgid=.*!setgid=pdns!' \
		-e 's!# setuid=.*!setuid=pdns!' \
		-e 's!# hint-file=.*!&\nhint-file=/usr/share/dns/root.hints!' \
		-e 's!# security-poll-suffix=.*!&\nsecurity-poll-suffix=!' \
		> debian/pdns-recursor/etc/powerdns/recursor.conf

override_dh_strip:
	dh_strip --ddeb-migration='pdns-recursor-dbg'

override_dh_installinit:
	dh_installinit --error-handler=initscript_error -- defaults 19 85
